Bug 996816 - Unable to create a windows 2012 ( 64bit ) VM with 32GB memory
Unable to create a windows 2012 ( 64bit ) VM with 32GB memory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Martin Betak
Dušan Kajan
virt
: Reopened, ZStream
Depends On:
Blocks: 1000079
  Show dependency treegraph
 
Reported: 2013-08-13 23:27 EDT by Anitha Udgiri
Modified: 2015-09-22 09 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1000079 (view as bug list)
Environment:
Last Closed: 2014-01-21 12:35:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anitha Udgiri 2013-08-13 23:27:37 EDT
Description of problem:
When trying to create a windows 2012 VM ( 64 bit) with 32G of Virtual memory, the process fails with the error message "Maximum memory size is 20480 MB."
(Image file attached for reference )

Other supported 64 bit VMs can be created without any issues with >= 32G of Virtual memory.

( Have attached engine.log and vdsm.log if needed )

The VM being created is "EpicorAppServer"
Comment 4 Michal Skrivanek 2013-08-14 03:58:59 EDT
what is the value of VM64BitMaxMemorySizeInMB in VdcOptions(engine-config)?
Comment 5 Anitha Udgiri 2013-08-14 16:01:07 EDT
(In reply to Michal Skrivanek from comment #4)
> what is the value of VM64BitMaxMemorySizeInMB in VdcOptions(engine-config)?

Michal,
    The value is VM64BitMaxMemorySizeInMB | 2097152 

Like I mentioned earlier, the Customer is able to create VMs with 32G memory for all other OSes.

I also see that windows 2012 is indeed supported ( https://bugzilla.redhat.com/show_bug.cgi?id=878674 ).. will change the summay accordingly.

I did not find anything relevant in the logs. Not sure if I missed anything.
Comment 8 Anitha Udgiri 2013-08-21 11:26:05 EDT
Michal,
   Verified that the customer is using RHEV 3.2 ( rhevm-3.2.1-0.39.el6ev.noarch  ) via the rpms installed through log-collector output.
Comment 10 Michal Skrivanek 2013-08-27 05:11:38 EDT
For 3.3. this is addressed by osinfo changes (http://www.ovirt.org/OS_info)
Comment 12 Charlie 2013-11-27 19:08:49 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 13 errata-xmlrpc 2014-01-21 12:35:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.